#include "zero-pinyin-service.h"
#include <cstring>
#include "../PinyinArray.h"
#include "../PinyinParser.h"

void
get_candidates_test (const char* preedit_str,
		     GVariantBuilder *candidates_builder,
		     GVariantBuilder *matched_lengths_builder)
{
	if (g_str_equal (preedit_str, "liyifeng")) {
		const gchar *matches[] = {"李易峰", "利益", "礼仪", "离异", "里", "理", "力"};
		guint matched_lengths[] = {8, 4, 4, 4, 2, 2, 2};
		for (guint i = 0; i < G_N_ELEMENTS (matches); ++i) {
			g_variant_builder_add (candidates_builder, "s", matches[i]);
			g_variant_builder_add (matched_lengths_builder, "u", matched_lengths[i]);
		}
	} else if (g_str_equal (preedit_str, "feng")) {
		const gchar *matches[] = {"风", "封", "疯", "丰", "凤"};
		guint matched_lengths[] = {4, 4, 4, 4, 4, 4};
		for (guint i = 0; i < G_N_ELEMENTS (matches); ++i) {
			g_variant_builder_add (candidates_builder, "s", matches[i]);
			g_variant_builder_add (matched_lengths_builder, "u", matched_lengths[i]);
		}
	} else if (g_str_equal (preedit_str, "yifeng")) {
		const gchar *matches[] = {"一封", "遗风", "艺", "依", "一", "以"};
		guint matched_lengths[] = {6, 6, 2, 2, 2, 2};
		for (guint i = 0; i < G_N_ELEMENTS (matches); ++i) {
			g_variant_builder_add (candidates_builder, "s", matches[i]);
			g_variant_builder_add (matched_lengths_builder, "u", matched_lengths[i]);
		}
	}
}

void
get_candidates (const char* preedit_str,
		GVariantBuilder *candidates_builder,
		GVariantBuilder *matched_lengths_builder)
{
	/* TODO */
}
